### Function

# Gtk.PaperSize.new_from_key_file

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_key_file (
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads a paper size from the group `group_name` in the key file `key_file`.

#### Parameters

`key_file` | `GKeyFile*`
| the `GKeyFile` to retrieve the papersize from
| Ownership is not transferred to the callee
`group_name` | `const char*`
| the name of the group in the key file to read, or `NULL` to read the first group
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkPaperSize`
a new `GtkPaperSize` object with the restored paper size, or `NULL` if an error occurred
Ownership of the data is transferred to the caller